AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS) \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	-I$(top_srcdir)/tests/traced/common

noinst_PROGRAMS = \
	simple-show \
	indicator-clear \
	indicator-clears \
	set-property \
	set-property-icon \
	set-property-icon-invalid \
	multiple-servers \
	set-property-time \
	add-actions \
	actions-callback \
	indicator-callback \
	raise-callback \
	themed-icon \
	data-uri \
	presence \
	interactive-presence-changed

simple_show_SOURCES = \
	simple-show.c \
	../common/uwa-test-client.c
simple_show_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

data_uri_SOURCES = \
	data-uri.c \
	../common/uwa-test-client.c
data_uri_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

presence_SOURCES = \
	presence.c \
	../common/uwa-test-client.c
presence_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

interactive_presence_changed_SOURCES = \
	interactive-presence-changed.c \
	../common/uwa-test-client.c
interactive_presence_changed_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la


indicator_clear_SOURCES = \
	indicator-clear.c \
	../common/uwa-test-client.c
indicator_clear_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

indicator_clears_SOURCES = \
	indicator-clears.c \
	../common/uwa-test-client.c
indicator_clears_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

set_property_SOURCES = \
	set-property.c \
	../common/uwa-test-client.c
set_property_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la


set_property_icon_SOURCES = \
	set-property-icon.c \
	../common/uwa-test-client.c
set_property_icon_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

set_property_icon_invalid_SOURCES = \
	set-property-icon-invalid.c \
	../common/uwa-test-client.c
set_property_icon_invalid_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

multiple_servers_SOURCES = \
	multiple-servers.c \
	../common/uwa-test-client.c
multiple_servers_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

set_property_time_SOURCES = \
	set-property-time.c \
	../common/uwa-test-client.c
set_property_time_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

add_actions_SOURCES = \
	add-actions.c \
	../common/uwa-test-client.c
add_actions_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

actions_callback_SOURCES = \
	actions-callback.c \
	../common/uwa-test-client.c
actions_callback_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

indicator_callback_SOURCES = \
	indicator-callback.c \
	../common/uwa-test-client.c
indicator_callback_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

raise_callback_SOURCES = \
	raise-callback.c \
	../common/uwa-test-client.c
raise_callback_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la

themed_icon_SOURCES = \
	themed-icon.c \
	../common/uwa-test-client.c 
themed_icon_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps/libunity-webapps.la
